import 'package:agrilink_vocpro/core/constant/app_theme.dart';
import 'package:bootstrap_icons/bootstrap_icons.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class GraphicErrorWidget extends StatelessWidget {
  const GraphicErrorWidget({super.key, required this.message});

  final String message;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Icon(BootstrapIcons.exclamation_circle, color: Colors.grey.shade400),
          SizedBox(height: 8.h),
          Text(message, style: AppTheme.labelSmall),
        ],
      ),
    );
  }
}
